Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1254213 (overlay_networks_support) - [RFE] - overlay networks: allow to define virtual networks that can be encapsulated between hosts on nicless networks
Summary: [RFE] - overlay networks: allow to define virtual networks that can be encaps...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: overlay_networks_support
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 3.5.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Marcin Mirecki
QA Contact: Mor
URL:
Whiteboard:
Depends On: OpenVswitch_Support 1366899 1445172 1495261 1532148
Blocks: 988285
TreeView+ depends on / blocked
 
Reported: 2015-08-17 12:47 UTC by Pablo Iranzo Gómez
Modified: 2018-02-12 10:10 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The feature adds an external network provider using openvswitch OVN as the underlying networking implementation. The ovirt-provider-ovn serves as a neutron-API compatible proxy to openvswitch OVN, while ovirt-provider-ovn-driver, which is installed on ovirt hosts, handles the plugging of VM NICs to OVN ports. The provider can be accessed either through the REST API, or using the ovirt-engine UI (which also uses the REST API internally). The REST API is a subset of the Openstack Neutron API. Being a subset, it only supports some of the attributes of the supported entities. The driver is a vdsm hook, invoked whenever the state of a provider managed port changes. Currently 3 types of entities are supported: - networks - ports - subnets
Clone Of:
: 1366899 (view as bug list)
Environment:
Last Closed: 2018-02-12 10:10:03 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+
mburman: testing_plan_complete+
ylavi: planning_ack+
danken: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)

Description Pablo Iranzo Gómez 2015-08-17 12:47:06 UTC
Description of problem:

It would be very useful to be able to define virtual networks encapsulated a-la OSP,  where not mapped networks to existing physical nics on hosts, could allows vm's to communicate between each other while isolating traffic.

This could allow to define set of vm's with backend/frontend networks with Vm's on different hosts .

Comment 4 Dan Kenigsberg 2017-10-26 16:11:56 UTC
With basic host deployment done, we can declare that this is ON_QA (though plenty bugfixes remain)

Comment 5 Mor 2018-01-14 12:04:19 UTC
Verified on:
RHV 4.2.1.1-0.1.el7

Comment 6 Sandro Bonazzola 2018-02-12 10:10:03 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.